# $Revision: 1.20 $, $Date: 2007-02-13 07:47:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Null
Summary:	IO::Null - class for null filehandles
Summary(pl.UTF-8):	IO::Null - klasa do pustych uchwytów plików
Name:		perl-IO-Null
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	54d6084398f8b4e7062660b9ccc835a8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a class for null filehandles.

Calling a constructor of this class always succeeds, returning a new
null filehandle.

Writing to any object of this class is always a no-operation, and
returns true.

Reading from any object of this class is always no-operation, and
returns empty-string or empty-list, as appropriate.

%description -l pl.UTF-8
To jest klasa pustych uchwytów plików. Wywołanie konstruktora tej
klasy zawsze kończy się sukcesem i zwracany jest pusty uchwyt pliku.
Zapis do dowolnego obiektu tej klasy jest pustą operacją, zwracającą
logiczną prawdę. Czytanie z dowolnego obiektu tej klasy jest pustą
operacją, zwracającą pusty ciąg lub pustą listę.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Null.spec,v $
Revision 1.20  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.18  2005/01/03 12:38:11  adamg
- updated to 1.01

Revision 1.17  2004/11/03 22:30:26  paladine
- formatting

Revision 1.16  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.15  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.13  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.12  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.11  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:33:30  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 21:28:10  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR
